## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate podman-sequoia

Name:           rust-podman-sequoia
Version:        0.1.0
Release:        %autorelease
Summary:        Polyfill to use Sequoia as a signing backend for containers

License:        Apache-2.0
URL:            https://crates.io/crates/podman-sequoia
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * default to the OpenSSL crypto backend of sequoia-openpgp
Patch:          podman-sequoia-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  clang-devel >= 3.5

%global _description %{expand:
A polyfill to use Sequoia as a signing backend for containers.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Upstream license specification: Apache-2.0
#
# The build dependencies have the following licenses:
#
#   (MIT OR Apache-2.0) AND Unicode-DFS-2016
#   0BSD OR MIT OR Apache-2.0
#   Apache-2.0
#   Apache-2.0 OR MIT
#   Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
#   BSD-2-Clause OR Apache-2.0 OR MIT
#   BSD-3-Clause
#   BSL-1.0
#   LGPL-2.0-or-later
#   MIT
#   MIT OR Apache-2.0
#   MIT OR Zlib OR Apache-2.0
#   MPL-2.0
#   Unicode-3.0
#   Unlicense OR MIT
#   Zlib
License:        ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSD-3-Clause AND BSL-1.0 AND LGPL-2.0-or-later AND MIT AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MPL-2.0 AND Unicode-3.0 AND (Unlicense OR MIT) AND Zlib
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_libdir}/libpodman_sequoia.so.*
%{_libdir}/libpodman_sequoia.so
%{_datadir}/containers/podman-sequoia/sequoia.h
%{_datadir}/containers/podman-sequoia/gosequoia.h
%{_datadir}/containers/podman-sequoia/gosequoia.c
%{_datadir}/containers/podman-sequoia/gosequoiafuncs.h

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# build script uses environment variables to populate the pkgconfig file
export PREFIX="%{_prefix}"
export LIBDIR="%{_libdir}"
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
# install shared library
mkdir -p %{buildroot}/%{_libdir}
cp -pav target/release/libpodman_sequoia.so %{buildroot}/%{_libdir}/libpodman_sequoia.so.0
# create unversioned symlink
ln -s libpodman_sequoia.so.0 %{buildroot}/%{_libdir}/libpodman_sequoia.so
# install bindings
mkdir -p %{buildroot}/%{_datadir}/containers/podman-sequoia
cp -pav target/release/bindings/*.[ch] %{buildroot}/%{_datadir}/containers/podman-sequoia/

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Jul 15 2025 John Doe <packager@example.com> - 0.1.0-1
- Uncommitted changes
## END: Generated by rpmautospec
